import { EventListenerController } from '@a11d/lit';
import { Button } from '@3mo/button';
import '@3mo/circular-progress';
/**
 * @attr loading
 * @attr preventClickEventInference
 */
export declare class LoadingButton extends Button {
    loading: boolean;
    preventClickEventInference: boolean;
    private readonly clickEventListeners;
    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    private readonly button;
    protected readonly clickEventListenerController: EventListenerController;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get contentTemplate(): import("lit-html").TemplateResult<1>;
    protected get isDisabled(): boolean;
    protected get leadingIconTemplate(): import("lit-html").HTMLTemplateResult;
    protected get circularProgressReplacesLeadingIcon(): boolean;
    private get circularProgressTemplate();
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-loading-button': LoadingButton;
    }
}
//# sourceMappingURL=LoadingButton.d.ts.map